> ## Documentation Index
> Fetch the complete documentation index at: https://www.vollna.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Approve job

> Approve a job that is pending review, scheduling it for bidding. Also overrides an AI disqualification.



## OpenAPI

````yaml post /auto-bidding/jobs/{id}/approve
openapi: 3.0.4
info:
  title: Vollna API
  description: API for managing Upwork profiles, proposals, results, and filters
  version: 1.0.0
servers:
  - url: https://api.vollna.com/v1
security: []
tags:
  - name: Profiles
    description: Manage Upwork profiles
  - name: Proposals
    description: Access and manage Upwork proposals
  - name: Results
    description: View monitoring results and projects
  - name: Filters
    description: Manage monitoring filters
  - name: Auto Bidding
    description: Manage auto bidding jobs and setups
paths:
  /auto-bidding/jobs/{id}/approve:
    post:
      tags:
        - Auto Bidding
      summary: Approve job
      description: >-
        Approve a job that is pending review, scheduling it for bidding. Also
        overrides an AI disqualification.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
          description: The job ID
      responses:
        '200':
          description: Job approved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AutoBiddingJobApproveResponse'
        '400':
          description: Bad request - job is not pending review
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Job not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - apiToken: []
components:
  schemas:
    AutoBiddingJobApproveResponse:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        job:
          $ref: '#/components/schemas/AutoBiddingJobApproved'
    Error:
      type: object
      properties:
        error:
          type: string
    AutoBiddingJobApproved:
      type: object
      properties:
        id:
          type: integer
        upwork_job_id:
          type: string
        status:
          type: string
        status_title:
          type: string
        scheduled_at:
          type: string
          nullable: true
        was_ai_disqualified:
          type: boolean
        qualification_decision:
          type: string
          nullable: true
        qualification_reason:
          type: string
          nullable: true
        approved_by:
          type: string
          nullable: true
        setup_id:
          type: integer
        setup_name:
          type: string
  securitySchemes:
    apiToken:
      type: apiKey
      name: X-API-TOKEN
      in: header
      description: API token for authentication

````